const { globalData: { util: { navigate_auth_native } } } = getApp();
Component({
  /**
   * 组件的属性列表
   */
  properties: {
item:Object
  },

  /**
   * 组件的初始数据
   */
  data: {

  },
  ready(){ 
    
    let img, { handlestate, projid} = this.data.item;
    switch (handlestate){
      case '收件':
        img ='receivedImg'
      break
      case '受理':
        img = 'acceptanceImg'
        break
      case '退件':
        img = 'returnImg'
        break
      case '办结':
        img = 'endImg'
        break
    }
    this.setData({
      img,
      ['item.id']: projid
    })
  },
  /**
   * 组件的方法列表
   */
  methods: {
    navigate_auth_native
  }
})
